package de.miaurizius.jgame2d.entity.projectile;

import de.miaurizius.jgame2d.core.GamePanel;
import de.miaurizius.jgame2d.core.enums.EntityType;

public class FireballObj extends Projectile {

    GamePanel panel;

    public FireballObj(GamePanel panel) {
        super(panel);
        this.panel = panel;

        name  = "Fireball";
        type =  EntityType.PROJECTILE;

        speed = 5;
        maxLife = 80;
        life = maxLife;
        attack = 2;
        useCost = 1;
        alive = false;

        // INITIALISATION OF IMAGES
        up1 = initEntitySprites("/projectile/fireball_up_1");
        up2 = initEntitySprites("/projectile/fireball_up_2");
        down1 = initEntitySprites("/projectile/fireball_down_1");
        down2 = initEntitySprites("/projectile/fireball_down_2");
        left1 = initEntitySprites("/projectile/fireball_left_1");
        left2 = initEntitySprites("/projectile/fireball_left_2");
        right1 = initEntitySprites("/projectile/fireball_right_1");
        right2 = initEntitySprites("/projectile/fireball_right_2");
    }

}
